.SILENT:
.PHONY: all clean


TEST_MPI:=$(shell which mpiexec 2> /dev/null)
ifneq (,$(TEST_MPI))
USE_MPI:=1
endif

CPPFLAGS:=-Wall -Wextra -Wpointer-arith

#CXXFLAGS:=-fopenmp -g -ffast-math -msse2 -mfpmath=sse -mtune=native
CXXFLAGS:=-fopenmp -O3 -ffast-math -msse2 -mfpmath=sse -mtune=native -DNDEBUG

#FFLAGS:=-mcmodel=large -g -ffixed-line-length-none -cpp
FFLAGS:=-O3 -ffixed-line-length-none -cpp

FC:=gfortran
CXX:=g++
